.btn-main {
    fill: $white;
    color: $white;
    border: none;
    outline: none;
    cursor: pointer;
    font-weight: 500;
    height: 80px;
    font-size: 12px;
    line-height: 20px;
    padding: 30px;
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    letter-spacing: 0.355em;
    justify-content: center;
    vertical-align: middle;
    background: #EA3619;
    font-family: $font-family-primary !important;
    box-shadow: inset 0px 0px 12.4885px rgba(255, 255, 255, 0.83);
    border-radius: 20px;

    span {
        color: $white;
        font-size: 12px;
        font-weight: 500;
        line-height: 20px;
    }

    &:hover {
        fill: $white;
        color: $white;
        background: #EA3619;
        text-decoration: none;
    }

    &:active {
        background: #EA3619;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &--sm {
        height: 56px;
        font-size: 11px;
        padding: 16px 30px;

        span {
            font-size: 11px;
        }
    }

    &--xl {
        height: 92px;
        font-size: 23px;
    }

    &--checkout {
        width: 100%;
        height: 126px;
        font-size: 20px;
        line-height: 29px;
        padding: 30px 40px;
        white-space: normal;

        span {
            font-size: 20px;
            line-height: 29px;
        }
    }

    @include media-breakpoint-up(md) {

        &--checkout {
            height: 98px;
            font-size: 15px;
            line-height: 17px;

            span {
                font-size: 15px;
                line-height: 17px;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &--order {
            height: 116px;
            font-size: 16px;
            line-height: 24px;

            span {
                font-size: 16px;
                line-height: 24px;
            }
        }

        &--sm {
            height: 70px;
            font-size: 14px;
        }

        &--xl {
            font-size: 19px;
        }
    }
}

.btn {
    min-height: 78px;
    outline: none;
    fill: $white;
    color: $white;
    cursor: pointer;
    font-size: 21px;
    line-height: 150%;
    background: $blue;
    text-align: center;
    padding: 8px 32px;
    border-radius: 20px;
    text-decoration: none;
    border: 2px solid $blue;
    font-family: $font-family-secondary;
    display: flex;
    align-items: center;
    justify-content: center;

    &:hover {
        fill: $white;
        color: $white;
        background: lighten($blue, 10%);
        text-decoration: none;
    }

    &:active {
        background: $blue;
    }

    &:focus,
    &.focus {
        outline: 0;
    }
}

.btn-border {
    color: $blue;
    background: transparent;

    &:hover {
        color: $white;
        background: $blue;
    }

    &:active {
        color: $blue;
        background: transparent;
    }
}

.btn-light-blue {
    color: $blue;
    border: none;
    background: #F5F7FF;

    &:hover {
        color: $blue;
        border: none;
        background: darken(#F5F7FF, 5%);
    }

    &:active {
        color: $blue;
        border: none;
        background: #F5F7FF;
    }
}

.btn-sm {
    min-height: 40px;
    font-size: 11px;
    font-weight: 600;
    line-height: 20px;
    padding: 4px 24px;
    border-radius: 6px;

    @include media-breakpoint-up(md) {
        height: 50px;
        font-size: 13px;
        padding: 9px 30px;
    }

    @include media-breakpoint-up(xl) {
        height: 70px;
        font-size: 18px;
        line-height: 28px;
    }
}

.w-100 {
    width: 100%;
}
